Subject: bug#62210: closed (Re: bug#62210: Job build-image-gnustep does not run anymore on EMBA)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Sep 2023 17:39:02 +0000

Your bug report

#62210: Job build-image-gnustep does not run anymore on EMBA

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62210: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62210
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62210: Job build-image-gnustep does not run anymore on EMBA
From: Michael Albinus <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Robert Pluim <[email-masked]>, chad <[email-masked]>, [email-masked], Alan Third <[email-masked]>
Date: Tue, 12 Sep 2023 19:38:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

Hi stefan,

> Robert Pluim <[email-masked]> writes:
>
>>>>>>> On Tue, 04 Apr 2023 20:03:34 +0200, Michael Albinus <[email-masked]> said:
>>
>>     Michael> I don't know whether we shall commit the patch, it suppresses warnings
>>     Michael> by default, which could be dangerous either. I'll let this to
>>     Michael> somebody else to decide. Eli?
>>
>> Only for the appkit headers, not globally.
>>
>>     Michael> The good message is, that I could identify now the real problem:
>>
>>     Michael> /usr/bin/ld: cannot find -lz
>>     Michael> collect2: error: ld returned 1 exit status
>>     Michael> make[3]: *** [Makefile:705: temacs] Error 1
>>     Michael> make[2]: *** [Makefile:544: src] Error 2
>>     Michael> make[1]: *** [Makefile:1260: actual-bootstrap] Error 2
>>
>>     Michael> zlib is missing. I've added zlib1g-dev to the list of installation
>>     Michael> packages for Debian, and now the GNUSTEP jobs shall run on EMBA.
>>
>> Letʼs hope thatʼs enough.
>
> Was that all, or is there more to do here?  Thanks.

For emba, that's OK. I've left the bug open in case somebody else wants
to work on gnustep. Looks like nobody is interested, so I'm closing the
bug.

Best regards, Michael.

Subject: Job build-image-gnustep does not run anymore on EMBA
From: Michael Albinus <[email-masked]>
To: [email-masked]
Date: Wed, 15 Mar 2023 20:22:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Recently, we have upgraded EMBA jobs to run using Debian 11 (bullseye)
instead of Debian 9 (stretch). Since then, the gitlab job
build-image-gnustep fails. See for example
<https://emba.gnu.org/emacs/emacs/-/jobs/64723/raw>.

Best regards, Michael.